Openvpn versions?

I am using 23.05.3 on x86-64 and connecting to expressvpn. I am using "openvpn-openssl" probably as a carry over from many versions ago. Would there be any speed or reliability advantage to changing to "openvpn-mbedtls" or "openvpn-wolfssl"? Seems to be working fine but wondering if it could be better.

Thanks

1 Like